public class DamageInfo
{
	public const string DAMAGE_BATTLE = "battle";

	public const string DAMAGE_UNIT = "unit";

	public const string DAMAGE_SPELL = "spell";

	public const string DAMAGE_FIELD = "field";

	public SkillBase Skill { get; private set; }

	public int Damage { get; private set; }

	public string DamageKind
	{
		get
		{
			if (Skill == null)
			{
				return "battle";
			}
			if (Skill.SkillPrm.ownerCard.IsUnit)
			{
				return "unit";
			}
			if (Skill.SkillPrm.ownerCard.IsSpell)
			{
				return "spell";
			}
			if (Skill.SkillPrm.ownerCard.IsField)
			{
				return "field";
			}
			return "";
		}
	}

	public DamageInfo(SkillBase skill, int damage)
	{
		Skill = skill;
		Damage = damage;
	}
}
